int128u.h File Reference
`#include <exception>`
`#include <cstdlib>`
`#include <cstdio>`
`#include "ZenLib/Conf.h"`

Go to the source code of this file.

## Classes

class | ZenLib::uint128

## Namespaces

namespace | ZenLib

## Typedefs

typedef uint128 | ZenLib::__uint128
typedef uint128 | ZenLib::int128u

## Functions

bool | ZenLib::operator< (const uint128 &a, const uint128 &b) throw ()
bool | ZenLib::operator== (const uint128 &a, const uint128 &b) throw ()
bool | ZenLib::operator|| (const uint128 &a, const uint128 &b) throw ()
bool | ZenLib::operator&& (const uint128 &a, const uint128 &b) throw ()
uint128 | ZenLib::operator+ (const uint128 &a, const uint128 &b) throw ()
uint128 | ZenLib::operator- (const uint128 &a, const uint128 &b) throw ()
uint128 | ZenLib::operator* (const uint128 &a, const uint128 &b) throw ()
uint128 | ZenLib::operator/ (const uint128 &a, const uint128 &b) throw ()
uint128 | ZenLib::operator% (const uint128 &a, const uint128 &b) throw ()
uint128 | ZenLib::operator>> (const uint128 &a, unsigned int n) throw ()
uint128 | ZenLib::operator<< (const uint128 &a, unsigned int n) throw ()
uint128 | ZenLib::operator& (const uint128 &a, const uint128 &b) throw ()
uint128 | ZenLib::operator| (const uint128 &a, const uint128 &b) throw ()
uint128 | ZenLib::operator^ (const uint128 &a, const uint128 &b) throw ()
bool | ZenLib::operator> (const uint128 &a, const uint128 &b) throw ()
bool | ZenLib::operator<= (const uint128 &a, const uint128 &b) throw ()
bool | ZenLib::operator>= (const uint128 &a, const uint128 &b) throw ()
bool | ZenLib::operator!= (const uint128 &a, const uint128 &b) throw ()